uk.gov.hmrc.auth.core

# Assistant

###
Related Doc: package core

#### object Assistant extends CredentialRole with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CredentialRole, Predicate, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Assistant
2. Serializable
3. Serializable
4. Product
5. Equals
6. CredentialRole
7. Predicate
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def and(other: Predicate): Predicate

   Join this Predicate with another as a boolean AND

   Join this Predicate with another as a boolean AND

   other

     A Predicate to join with this Predicate

   returns

     A CompositePredicate containing this Predicate and the supplied one

   Definition Classes
     Predicate

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def or(other: Predicate): Predicate

    Join this Predicate with another as a boolean OR

    Join this Predicate with another as a boolean OR

    other

      A Predicate to join with this Predicate

    returns

      An AlternatePredicate containing this Predicate and the supplied one

    Definition Classes
      Predicate

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toJson: JsValue

    Convert this predicate to JSON for sending over the wire

    Convert this predicate to JSON for sending over the wire

    returns

      the JSON

    Definition Classes
      CredentialRole → Predicate

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CredentialRole

### Inherited from Predicate

### Inherited from AnyRef

### Inherited from Any

### Ungrouped